# Asterisk Project : Asterisk 13 Application_MacroExclusive

Created by wikibot on Aug 08, 2014

# MacroExclusive()

### Synopsis

Exclusive Macro Implementation.

### Description

Executes macro defined in the context macro- name. Only one call at a time may run the macro. (we'll wait if another call is busy executing in the Macro)

Arguments and return values as in application Macro()

Warning

Icon

Use of the application `WaitExten` within a macro will not function as expected. Please use the `Read` application in order to read DTMF from a channel currently executing a macro.

### Syntax

    MacroExclusive(name,[arg1,[arg2[,...]]])

##### Arguments

- `name` - The name of the macro
- `arg1`
- `arg2`

### See Also

- Asterisk 13 Application_Macro

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538